summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2021-03-02 11:47:43 +0100
committerSimon Rettberg2021-03-02 11:47:43 +0100
commit8f001ff8aa95891737fe05f55cb72acd2e411b6f (patch)
tree90f39b5bfbfc2f614a405c91a83b48c813877216
parent[debug-report-bwlp] Switch to master server for error reports (diff)
downloadmltk-8f001ff8aa95891737fe05f55cb72acd2e411b6f.tar.gz
mltk-8f001ff8aa95891737fe05f55cb72acd2e411b6f.tar.xz
mltk-8f001ff8aa95891737fe05f55cb72acd2e411b6f.zip
[debug-report-bwlp] Add X errors and remote-log to debug report
-rwxr-xr-xcore/modules/debug-report-bwlp/data/opt/openslx/bin/debug_report11
1 files changed, 10 insertions, 1 deletions
diff --git a/core/modules/debug-report-bwlp/data/opt/openslx/bin/debug_report b/core/modules/debug-report-bwlp/data/opt/openslx/bin/debug_report
index 4bad69a9..ad6cf399 100755
--- a/core/modules/debug-report-bwlp/data/opt/openslx/bin/debug_report
+++ b/core/modules/debug-report-bwlp/data/opt/openslx/bin/debug_report
@@ -70,7 +70,16 @@ for srv in $SLX_NTP_SERVER 0.de.pool.ntp.org; do
done
echo -n "..."
-cp /opt/openslx/config /tmp/udhcpclog /opt/openslx/config.tgz.list static/ 2> /dev/null
+cp /opt/openslx/config /tmp/udhcpclog /opt/openslx/config.tgz.list \
+ /tmp/xsession-log-* \
+ /tmp/remote_log_check-* \
+ static/ 2> /dev/null
+echo -n "."
+
+for file in /home/*/.xsession-errors; do
+ [ -f "$file" ] || continue
+ cp "$file" "static/${file////_}" #/////////777-7-7
+
echo -n "."
FILES=$(find /tmp/vmware* /tmp/virt /tmp/vmchooser* -type f \( -name "*.log" -o -name "*.conf" -o -name "*.xml" -o -name "vmx" \) 2> /dev/null)